Upgrade EAServer 3.6.1 to 4.1.1 problem

In 3.6.1, we utilized the com.sybase.jdbx.SybResultSet
and com.sybase.jdbx.TextPointer classes.  These classes
are gone from 4.1.1.  What happened and what's the alternative?
Cathy

0
Cathy
12/19/2002 11:49:06 PM
📁 sybase.easerver.general
📃 7903 articles.
⭐ 0 followers.

💬 1 Replies
👁️‍🗨️ 793 Views


Those were part of the JConnect 4.x suite, which implemented JDBC 1.0.  We
no longer support JDBC 1, as JDBC 2.0 has been out for quite a while
(JConnect 5.x is the JDBC 2.0 compliant software).
Most of the classes that were in JConnect 4.x are also in JConnect 5.x.  The
JAR file (jconn2.jar) should have everything in it.  You can open the JAR
using Winzip or the JAR command, and use it to find the latest classes.
Also, we have documentation for JConnect 5.5 (the latest version) on the
www.sybase.com website.  Just do a search for JConnect.

Jonathan

--
--------------------
Jonathan Baker
eBusiness Division
Sybase, Inc.

"Cathy Weimer" <cathyweimer@comcast.net> wrote in message
news:XlBFku7pCHA.155@forums.sybase.com...
> In 3.6.1, we utilized the com.sybase.jdbx.SybResultSet
> and com.sybase.jdbx.TextPointer classes.  These classes
> are gone from 4.1.1.  What happened and what's the alternative?
>
> Cathy
>
>

0
Jonathan
12/20/2002 4:08:39 PM
Reply: